#ifndef ADDDESKTOP_H
#define ADDDESKTOP_H

#include <QWidget>
#include <QStyle>
#include <QDebug>
#include <QApplication>
namespace Ui {
class AddDesktop;
}

class AddDesktop : public QWidget
{
    Q_OBJECT

public:
    explicit AddDesktop(QWidget *parent = nullptr);
    ~AddDesktop();

    void setSelect();
    void cancleSelect();
    void Select();

Q_SIGNALS:
    void PluClick();

protected:
    virtual void mousePressEvent(QMouseEvent *event);
    virtual void mouseReleaseEvent(QMouseEvent *event);
    virtual void enterEvent(QEvent *);
    virtual void leaveEvent(QEvent *);

    void paintEvent(QPaintEvent *event);
private Q_SLOTS:
    void on_pushButton_clicked();

private:
    Ui::AddDesktop *ui;
    bool hover {false};
    bool click {false};
    QString title;
};

#endif // ADDDESKTOP_H
