#include "toolbutton.h"
#include <QKeyEvent>

ToolButton::ToolButton(QWidget *parent) : QToolButton(parent)
{

}

void ToolButton::keyPressEvent(QKeyEvent *event)
{
    QToolButton::keyPressEvent(event);
}

void ToolButton::keyReleaseEvent(QKeyEvent *event)
{
    if(event->key() == Qt::Key_Enter || event->key() == Qt::Key_Space ||
            event->key() == Qt::Key_Return)
    {
        click();
        return;
    }
    QToolButton::keyReleaseEvent(event);
}


FocusToolButton::FocusToolButton(QWidget *parent) : QToolButton(parent)
{

}

void FocusToolButton::focusInEvent(QFocusEvent *e)
{
    click();
    QToolButton::focusInEvent(e);
}

void FocusToolButton::focusOutEvent(QFocusEvent *e)
{
    QToolButton::focusOutEvent(e);
}
