#include "shadowmanager.h"
#include <QGraphicsDropShadowEffect>


ShadowManager::ShadowManager(QObject *parent) : QObject(parent)
{

}

void ShadowManager::setShadow(QWidget *w)
{
    if(w && !w->graphicsEffect())
    {
        QGraphicsDropShadowEffect  * effect = new QGraphicsDropShadowEffect(w);
        effect->setOffset(0,0);
        QColor color1("#000000");
        color1.setAlphaF(0.3);
        effect->setColor(color1);
        effect->setBlurRadius(4);
        w->setGraphicsEffect(effect);
    }
}
