#ifndef STATUSNOTIFIERPOPUP_H
#define STATUSNOTIFIERPOPUP_H

#include <QFrame>
#include <QTimer>
#include <Nde/GridLayout>
#include "statusnotifierbutton.h"
#include "statusnotifierwidget.h"
#include <QGraphicsDropShadowEffect>

class INdePanelPlugin;
class StatusNotifierPopup : public StatusNotifierWidget
{
    Q_OBJECT
public:
    explicit StatusNotifierPopup(INdePanelPlugin *plugin, QWidget *parent = nullptr);

    void realign();

protected:
    bool event(QEvent *event) ;
    void paintEvent(QPaintEvent *event);

public Q_SLOTS:
    virtual void itemActivated();

private:
    INdePanelPlugin * mPlugin;

    bool mCompositorOpen; //特效开关
//    QGraphicsDropShadowEffect *shadow_effect;
};

#endif // STATUSNOTIFIERPOPUP_H
